package net.alviano.app;

import net.alviano.menu.Menu;
import net.alviano.menu.MenuDescription;
import net.alviano.menu.MenuEntryAdapter;

public final class App {
	private final Menu menu;
//	private final Ristorante ristorante;
	
	public App() {
//		ristorante = new Ristorante();
		
		menu = new Menu.Builder(new MenuDescription("RistoCOVID"))
//			.withEntry(new MenuEntryAdapter("1", "Visualizza ordini") {
//				@Override
//				public void onSelected() {
//					visualizzaOrdini();
//				}
//			})
			.withEntry(new MenuEntryAdapter("0", "Esci") {
				@Override
				public void onSelected() {
					System.out.println("Bye!");
				}
				
				@Override
				public boolean isExit() {
					return true;
				}
			})
			.build();
	}
	
//	private Cliente leggiCliente() {
//		Cliente res = null;
//		for(boolean done = false; !done;) {
//			try {
//				System.out.print("Cliente: ");
//				res = new Cliente(menu.readline());
//				done = true;
//			} catch (IOException e) {
//				System.out.println("Try again");
//			} catch (IllegalArgumentException e) {
//				System.out.println(e.getMessage());
//			}
//		}
//		return res;
//	}

//	private int leggiPosizione() {
//		int res = 0;
//		for(boolean done = false; !done;) {
//			try {
//				System.out.print("Posizione (0 per annullare): ");
//				res = Integer.parseInt(menu.readline());
//				if(res >= 0 && res <= ristorante.numeroOrdini()) {
//					done = true;
//				}
//			} catch (IOException e) {
//				System.out.println("Try again");
//			} catch (NumberFormatException e) {
//				System.out.println(e.getMessage());
//			}
//		}
//		return res;
//	}

//	private void visualizzaOrdini() {
//		final String format = "%3s %-30s %-50s %10s";
//		System.out.println(String.format(format, "#", "CLIENTE", "DESCRIZIONE", "PREZZO"));
//		System.out.println("-".repeat(100));
//		List<Ordine> ordini = ristorante.ordini();
//		for(int i = 0; i < ordini.size(); i++) {
//			Ordine o = ordini.get(i);
//			System.out.println(String.format(format, "" + (i+1), o.cliente(), o.descrizione(), o.prezzo()));
//		}
//	}
	
	public void run() {
		menu.run();
	}
	
	public static void main(String[] args) {
		try {
			App mc = new App();
			mc.run();
		} catch (Exception e) {
			System.out.println("Panic error!");
		}
	}
}
